html {
	color: #fff;
	scroll-behavior: smooth;
}

body {
	font-family: "Poppins", sans-serif;
	margin: 0;
	background: linear-gradient(150deg, #042142, #2475ac, #042142);
	background-size: 120% 120% 120%;
}

header {
	background: linear-gradient(150deg, #042142, #2475ac, #042142);
}

footer {
	background: linear-gradient(150deg, #042142, #2475ac, #042142);
	position: relative;
	color: #fff;
	text-align: center;
	padding: 60px 20px;
	overflow: hidden;
	width: 100%;
}

.container {
	max-width: 1120px;
	margin: 0 auto;
	padding: 0 20px;
}

.cabecalho {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 30px 15px;
}

.cabecalho .logo {
	width: 65px;
	height: 65px;
	border-radius: 50%;
	border: 2px solid #fff;
	text-decoration: underline;
	text-align: center;
	line-height: 55px;
	font-family: "Raleway", sans-serif;
	transition: 0.2s;
}

.cabecalho a:hover .logo {
	color: #3de0fc;
	border: 3px solid #3de0fc;
}

.cabecalho .menu li a {
	font-size: 20px;
	text-transform: capitalize;
	padding: 10px 20px;
	transition: 0.3s;
}

.cabecalho .menu li a:hover {
	background-color: #3de0fc;
	color: #000000;
	border-radius: 50px;
}

.home {
	display: flex;
	min-height: calc(100vh - 125px);
	align-items: center;
	gap: 50px;
	justify-content: center;
	padding: 25px;
}

.home .informacoes {
	display: flex;
	flex-direction: column;
	gap: 15px;
	letter-spacing: 2px;
	padding: 0 15px;
	max-width: 50%;
}

.home .informacoes h1 {
	font-family: "Raleway", sans-serif;
	font-size: 45px;
	margin-bottom: 20px;
}

.home .informacoes p {
	font-family: "Raleway", sans-serif;
	font-size: 24px;
	margin-bottom: 20px;
}

.home .redes-sociais {
	display: flex;
	gap: 20px;
	justify-content: flex-end;
}

/* BASE (igual ao footer) */
.home .redes-sociais a i {
	display: flex;
	align-items: center;
	justify-content: center;

	width: 50px;
	height: 50px;
	border-radius: 50%;

	border: 1px solid #fff;
	color: #fff;

	font-size: 22px;
	transition: all 0.3s ease;
}

/* LINKEDIN */
.home .redes-sociais a.linkedin:hover i {
	background: #0A66C2;
	border: none;
	color: #fff;
}

/* WHATSAPP */
.home .redes-sociais a.whatsapp:hover i {
	background: #25D366;
	border: none;
	color: #fff;
}

/* GITHUB */
.home .redes-sociais a.github:hover i {
	background: #171515;
	border: none;
	color: #fff;
}

/* INSTAGRAM */
.home .redes-sociais a.instagram:hover i {
	background: linear-gradient(45deg, #1877f2, #833ab4, #fd1d1d, #fcb045);
	border: none;
	color: #fff;
}

/* ANIMAÇÃO */
.home .redes-sociais a:hover i {
	transform: scale(1.15);
}

.home .container-foto .foto {
	max-width: 450px;
	border-radius: 50%;
}

.home .container-foto img {
	width: 100%;
	border-radius: 50%;
}

.home .foto.sombra-interna {
	background: linear-gradient(to right, #2475ac, #3de0fc, #733e85);
	background-size: 180% 180%;
	animation: gradient-animation 5s ease infinite;
}

.projetos {
	padding: 70px 0 70px;
}

.projetos .titulo {
	text-align: center;
	padding: 60px 0;
	font-size: 45px;
	font-weight: 500;
	text-transform: uppercase;
}

.projetos .container-projetos {
	display: flex;
	gap: 20px;
	flex-wrap: wrap;
	margin-bottom: 20px;
	justify-content: center;
}

.projetos .projeto {
	max-width: 260px;
	max-height: 500px;
	position: relative;
	display: none;
}

.projetos .projeto.ativo {
	display: block;
}

.projetos .projeto img {
	height: 100%;
}

.projetos .projeto h3 {
	background-color: #000000;
	width: 100%;
	padding-left: 20px;
	padding-bottom: 10px;
	padding-top: 10px;
	position: absolute;
	bottom: 0;
	opacity: 0.8;
}

.projetos .projeto .informacoes-projeto {
	background-color: #040203;
	position: absolute;
	top: 0;
	width: 100%;
	height: 100%;
	font-weight: 600;
	opacity: 0;
	transition: 0.3s;
	padding: 20px;
}

.projetos .container-projetos .projeto:hover .informacoes-projeto {
	opacity: 0.7;
	background-color: #000;
}

.projetos .btn-mostrar-projetos {
	background: none;
	border: 1px solid #fff;
	border-radius: 15px;
	color: #fff;
	width: 180px;
	padding: 20px;
	font-size: 18px;
	font-weight: 600;
	margin: 0 auto;
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
}

.projetos .btn-mostrar-projetos:hover {
	background-color: #3de0fc;
	color: #000000;
	border-color: #000000;
	transition: 0.3s;
}

.projetos .btn-mostrar-projetos.remover {
	display: none;
}

.projetos .btn-menos-projetos {
	background: none;
	border: 1px solid #fff;
	border-radius: 15px;
	color: #fff;
	width: 180px;
	padding: 20px;
	font-size: 18px;
	font-weight: 600;
	margin: 0 auto;
	display: flex;
	justify-content: center;
	align-items: center;
	cursor: pointer;
}

.projetos .btn-menos-projetos:hover {
	background-color: #3de0fc;
	color: #000000;
	border-color: #000000;
	transition: 0.3s;
}

.projetos .btn-menos-projetos.remover {
	display: none;
}

.projetos .btn-voltar-inicio {
	font-size: 20px;
	text-transform: capitalize;
	padding: 10px 20px;
	transition: 0.2s;
	background: none;
	color: #fff;
	text-transform: capitalize;
}

.projetos .btn-voltar-inicio:hover {
	background-color: #3de0fc;
	color: #000000;
	border-radius: 50px;
}

.projetos .btn-voltar-inicio.remover {
	display: none;
}

.projetos .botoes-container {
	display: flex;
	justify-content: center;
	margin-bottom: 20px;	
}

.projetos .botoes-container button {
	margin: 0 10px;	
}

.projetos .btn-voltar-inicio {
	display: block;
	margin: 0 auto;
}

#rodape {
	text-align: center;
	max-width: 300px;
    width: 100%;
    height: 100%;
    border-radius: 10px 50px;
    padding: auto;
}

.footer {
	display: flex;
	flex-direction: column;
	align-items: center;
}

footer h3 {
	font-size: 28px;
	margin-bottom: 5px;	
}

footer h4 {
	font-weight: 400;
	margin-bottom: 20px;
	color: #ccc;
}

.cta {
	margin: 20px 0;
	font-weight: bold;
	color: #00d4ff;
}

.redes-sociais-footer{
	width: 100%;
	display: flex;
	justify-content: flex-end;
	gap: 20px;
	margin-top: 20px;
}

.footer .redes-sociais-footer{
	display: flex;
	gap: 30px;
	justify-content: center;
}

.footer .redes-sociais-footer a i {
	border: 1px solid #fff;
	border-radius: 50%;
	width: 50px;
	height: 50px;
	padding: 10px;
	text-align: center;
	font-size: 26px;
	transition: 0.3s;
}

.footer .redes-sociais-footer a i:hover {
	color: #3de0fc;
	border: 3px solid #3de0fc;
	transform: scale(1.1);
}

.copy {
	display: block;
	margin-top: 30px;
	font-size: 12px;
	color: #aaa;
}

/* LINKEDIN */
.redes-sociais-footer a.linkedin:hover i {
	color: #0A66C2;
	border-color: #0A66C2;
}

/* BASE DOS ÍCONES */
.redes-sociais-footer {
	list-style: none;
	padding: 20px;
	margin: 0;
	display: flex;
	justify-content: center;
	gap: 20px;
}

.redes-sociais-footer a i {
	display: flex;
	align-items: center;
	justify-content: center;

	width: 50px;
	height: 50px;
	border-radius: 50%;

	border: 1px solid #fff;
	color: #fff;

	font-size: 22px;
	transition: all 0.3s ease;
}

/* LINKEDIN */
.redes-sociais-footer a.linkedin:hover i {
	background: #0A66C2;
	border: none;
	color: #fff;
}

/* WHATSAPP */
.redes-sociais-footer a.whatsapp:hover i {
	background: #25D366;
	border: none;
	color: #fff;
}

/* GITHUB */
.redes-sociais-footer a.github:hover i {
	background: #171515;
	border: none;
	color: #fff;
}

/* INSTAGRAM (gradiente 🔥) */
.redes-sociais-footer a.instagram:hover i {
	background: linear-gradient(45deg, #1877f2, #833ab4, #fd1d1d, #fcb045);
	border: none;
	color: #fff;
}

/* EFEITO DE ANIMAÇÃO */
.redes-sociais-footer a:hover i {
	transform: scale(1.15);
}


@keyframes gradient-animation {
	0% {
		background-position: 0% 50%;
	}

	50% {
		background-position: 100% 50%;
	}

	100% {
		background-position: 0% 50%;
	}
}